Debian Bug report logs - #639632
rsync: please include systemd service file

version graph

Package: rsync; Maintainer for rsync is Paul Slootman <paul@debian.org>; Source for rsync is src:rsync.

Reported by: Michael Stapelberg <michael+db20090501@stapelberg.de>

Date: Sun, 28 Aug 2011 20:15:08 UTC

Severity: wishlist

Tags: patch

Fixed in version rsync/3.0.9-1

Done: Paul Slootman <paul@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Paul Slootman <paul@debian.org>:
Bug#639632; Package rsync. (Sun, 28 Aug 2011 20:15:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Stapelberg <michael+db20090501@stapelberg.de>:
New Bug report received and forwarded. Copy sent to Paul Slootman <paul@debian.org>. (Sun, 28 Aug 2011 20:15:11 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Stapelberg <michael+db20090501@stapelberg.de>
To: bugs <bugs@debian.org>
Subject: rsync: please include systemd service file
Date: Sun, 28 Aug 2011 22:13:13 +0200
[Message part 1 (text/plain, inline)]
Package: rsync
Severity: wishlist
Tags: patch


Hello,

I created a systemd service file for rsync.
systemd is a sysvinit replacement (see [1] for more information).

Please include this file in /lib/systemd/system/ in the next upload of this
package.

I also sent this file upstream, so hopefully it will be included in future
releases anyway.

If you have any questions, please do not hesitate to contact me.

Thanks!
Best regards,
Michael

[1] http://en.wikipedia.org/wiki/Systemd
For debian specific documentation, see also http://wiki.debian.org/systemd
[rsync.service (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#639632; Package rsync. (Tue, 13 Sep 2011 15:48:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Slootman <paul@debian.org>:
Extra info received and forwarded to list. (Tue, 13 Sep 2011 15:48:10 GMT) Full text and rfc822 format available.

Message #10 received at 639632@bugs.debian.org (full text, mbox):

From: Paul Slootman <paul@debian.org>
To: Michael Stapelberg <michael+db20090501@stapelberg.de>, 639632@bugs.debian.org
Subject: Re: Bug#639632: rsync: please include systemd service file
Date: Tue, 13 Sep 2011 17:34:15 +0200
On Sun 28 Aug 2011, Michael Stapelberg wrote:
> 
> I created a systemd service file for rsync.
> systemd is a sysvinit replacement (see [1] for more information).

I see that it depends on /etc/rsync.conf. However, traditionally
rsyncd.conf is used (note the "d").  I've modified the file to reflect
this.

I've uploaded 3.0.9~pre2-2 to experimental with this file added.
Please take a look if this is OK.


Paul




Information forwarded to debian-bugs-dist@lists.debian.org, Paul Slootman <paul@debian.org>:
Bug#639632; Package rsync. (Sun, 25 Sep 2011 19:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Stapelberg <michael+db20090501@stapelberg.de>:
Extra info received and forwarded to list. Copy sent to Paul Slootman <paul@debian.org>. (Sun, 25 Sep 2011 19:00:03 GMT) Full text and rfc822 format available.

Message #15 received at 639632@bugs.debian.org (full text, mbox):

From: Michael Stapelberg <michael+db20090501@stapelberg.de>
To: Paul Slootman <paul@debian.org>
Cc: 639632 <639632@bugs.debian.org>
Subject: Re: Bug#639632: rsync: please include systemd service file
Date: Sun, 25 Sep 2011 19:40:10 +0100
Hi Paul,

Sorry for replying so late.

Excerpts from Paul Slootman's message of 2011-09-13 16:34:15 +0100:
> I see that it depends on /etc/rsync.conf. However, traditionally
> rsyncd.conf is used (note the "d").  I've modified the file to reflect
> this.
Good catch, yes.

> I've uploaded 3.0.9~pre2-2 to experimental with this file added.
> Please take a look if this is OK.
Looks good to me. Thanks!

Best regards,
Michael




Reply sent to Paul Slootman <paul@debian.org>:
You have taken responsibility. (Wed, 19 Oct 2011 14:51:27 GMT) Full text and rfc822 format available.

Notification sent to Michael Stapelberg <michael+db20090501@stapelberg.de>:
Bug acknowledged by developer. (Wed, 19 Oct 2011 14:51:27 GMT) Full text and rfc822 format available.

Message #20 received at 639632-close@bugs.debian.org (full text, mbox):

From: Paul Slootman <paul@debian.org>
To: 639632-close@bugs.debian.org
Subject: Bug#639632: fixed in rsync 3.0.9-1
Date: Wed, 19 Oct 2011 14:49:45 +0000
Source: rsync
Source-Version: 3.0.9-1

We believe that the bug you reported is fixed in the latest version of
rsync, which is due to be installed in the Debian FTP archive:

rsync_3.0.9-1.diff.gz
  to main/r/rsync/rsync_3.0.9-1.diff.gz
rsync_3.0.9-1.dsc
  to main/r/rsync/rsync_3.0.9-1.dsc
rsync_3.0.9-1_amd64.deb
  to main/r/rsync/rsync_3.0.9-1_amd64.deb
rsync_3.0.9.orig.tar.gz
  to main/r/rsync/rsync_3.0.9.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 639632@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Paul Slootman <paul@debian.org> (supplier of updated rsync package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 04 Oct 2011 18:54:56 +0200
Source: rsync
Binary: rsync
Architecture: source amd64
Version: 3.0.9-1
Distribution: unstable
Urgency: low
Maintainer: Paul Slootman <paul@debian.org>
Changed-By: Paul Slootman <paul@debian.org>
Description: 
 rsync      - fast, versatile, remote (and local) file-copying tool
Closes: 536755 586551 586707 587567 605731 614098 635603 639632 640869
Changes: 
 rsync (3.0.9-1) unstable; urgency=low
 .
   * new upstream release.
   * Bumped Standards-Version to 3.9.2.0 (no change necessary).
   * manpage no longer shows erroneous default for --delete-before.
     (upstream fix)
     closes:#640869,#587567
   * manpage now mentions that --files-from sorts the filenames.
     (upstream fix)
     closes:#536755
   * init.d script checks nice value correctly now.
     closes:#586707
   * fixed typo in comment in sample script rrsync.
     closes:#635603
   * Updated package description and included homepage line.
     closes:#614098
   * Correct error message when using --delete-delay when dying in certain cases.
     See also #587567
     closes:#586551
   * included rsync.service file for systemd, supplied by Michael Stapelberg.
     closes:#639632
   * conflict with duplicity < 0.6.11 as that tries to use rsync:// in
     combination with ::module syntax, which is not allowed (but used to be
     accepted in older rsync versions).
     closes:#605731
Checksums-Sha1: 
 63c2f3ab9f032bfffab9b8df108733be68c9a4ca 977 rsync_3.0.9-1.dsc
 c64c8341984aea647506eb504496999fd968ddfc 792725 rsync_3.0.9.orig.tar.gz
 55a8a902682fc0c7e421b9fdf70d2dd1c81d1d84 20824 rsync_3.0.9-1.diff.gz
 854ec69feb03731ed85416d7d6cfbc54eb0311e9 366726 rsync_3.0.9-1_amd64.deb
Checksums-Sha256: 
 028514d8a8e42fca0f2f905c36ac55ae4f6a3d47898827305c494d4ea0a7a527 977 rsync_3.0.9-1.dsc
 30f10f8dd5490d28240d4271bb652b1da7a60b22ed2b9ae28090668de9247c05 792725 rsync_3.0.9.orig.tar.gz
 6b726fd1525004dfcf365cff54a9ae1962f2b75c803e6c58426ae6fbca19d376 20824 rsync_3.0.9-1.diff.gz
 3faca4d2f247415c4412ed2a518bb3f77bc53dde833aa2d7d783bedfd25d94c8 366726 rsync_3.0.9-1_amd64.deb
Files: 
 43bcda59cef3aafc8507776ae930c5fa 977 net optional rsync_3.0.9-1.dsc
 5ee72266fe2c1822333c407e1761b92b 792725 net optional rsync_3.0.9.orig.tar.gz
 f759de5854e024530e27cf309f549b5c 20824 net optional rsync_3.0.9-1.diff.gz
 8bcc806d51964b1614df363f8941e22c 366726 net optional rsync_3.0.9-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFOnuCZutvvqbTW3hMRAlE8AKCPjAsy3tzTS0Ub/NqNRiO7/Y/X/QCfW34O
9Me3AT+a/hHsvpD+xn+uwPE=
=4CHt
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 05 Dec 2011 07:36:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 20:56:35 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.